Change log for python-ipaddr package in Ubuntu

119 of 19 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2019-01-19
Deleted in disco-proposed (Reason: moved to release)
python-ipaddr (2.2.0-2) unstable; urgency=medium

  [ Scott Kitterman ]
  * Run upstream tests as autopkgtest
  * Bump standards-version to 4.3.0 without further change
  * Add lintian override for python-foo-but-no-python3-foo since ipaddr is
    part of the standard library in python3 (as ipaddress)
  * Support nocheck in dh_auto_test override
  * Use pybuild as the buildsystem

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field

 -- Scott Kitterman <email address hidden>  Fri, 18 Jan 2019 12:57:31 -0500

Available diffs

Superseded in disco-release on 2019-01-19
Superseded in disco-release on 2018-11-20
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2018-02-25
Deleted in bionic-proposed (Reason: moved to release)
python-ipaddr (2.2.0-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * New upstream release
    - Remove obsolete dh_installdocs override
    - Remove obsolete debian/python-ipaddr.docs
  * Update debian/watch to use pypi.debian.net
  * Update package long description to mention python-ipaddress
  * Bump compat and minimum debhelper version to 9
  * Drop minimum python version, satisfied in all releases
  * Update Homepage: field in debian/control to new location
  * Update upstream location in debian/copyright to new location
  * Update standards-version to 4.1.3 without further change
  * Switch to 3.0 (quilt) source package format

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

 -- Scott Kitterman <email address hidden>  Sat, 24 Feb 2018 20:12:46 -0500

Available diffs

Superseded in bionic-release on 2018-02-25
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed (Reason: moved to release)
python-ipaddr (2.1.11-2) unstable; urgency=low


  * Drop python3-ipaddr binary since ipaddr is incorporated in python3.3 and
    later as ipaddress and nothing in the archive needs python3-ipaddr
    - Remove binary from debian/control
    - Drop python3 build-depends and X-Python3-Version from debian/control
    - Simplify debian/rules to build for only python2.7
    - Remove python3-ipaddr.docs
  * Explicitly depend on dh-python to get the updated version

 -- Scott Kitterman <email address hidden>  Fri, 16 May 2014 21:44:51 -0400

Available diffs

Superseded in utopic-release on 2014-05-17
Deleted in utopic-proposed on 2014-05-20 (Reason: moved to release)
python-ipaddr (2.1.11-1) unstable; urgency=medium


  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Fix a typo in README.source.

  [ Scott Kitterman ]
  * New upstream release
  * Update debian/watch to check pypi, since tarballs are no longer published
    on Google code
  * Bump standards version to 3.9.5 without further change

 -- Scott Kitterman <email address hidden>  Sat, 26 Apr 2014 11:29:54 -0400

Available diffs

Superseded in utopic-release on 2014-04-27
Published in trusty-release on 2014-03-16
Superseded in trusty-release on 2014-03-16
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
Published in precise-release on 2012-02-11
python-ipaddr (2.1.10-1) unstable; urgency=low


   * New upstream release
   * Update clean rule to work with new release 

 -- Scott Kitterman <email address hidden>  Fri, 10 Feb 2012 09:17:56 -0500
Superseded in precise-release on 2012-02-11
python-ipaddr (2.1.9-2build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.
 -- Matthias Klose <email address hidden>   Sat, 31 Dec 2011 02:10:41 +0000

Available diffs

Superseded in precise-release on 2011-12-31
Obsolete in oneiric-release on 2015-04-24
python-ipaddr (2.1.9-2) unstable; urgency=low

  * Rebuild for Python transition
  * Protect for loops in debian/rules with set -e
  * Drop Breaks: ${python:Breaks} since it is no longer used
  * Bump Standards-Version to 3.9.2 without further change
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sat,  30 Apr 2011 13:35:16 +0000

Available diffs

Superseded in oneiric-release on 2011-04-30
Obsolete in natty-release on 2013-06-04
python-ipaddr (2.1.9-1) unstable; urgency=low

  * New upstream release
  * Install RELEASENOTES as changelog instead
    - Replace docs with python-ipaddr.docs and python3-ipaddr.docs
  * Override dh_auto_clean to clean completely with python3
 -- Scott Kitterman <email address hidden>   Mon,  07 Mar 2011 14:37:13 +0000

Available diffs

Superseded in natty-release on 2011-03-07
python-ipaddr (2.1.8-1) unstable; urgency=low

  * New upstream release
  * Provide python3-ipaddr from this source using 2to3
    - Add package to debian/control
    - Add X-Python3-Version to debian/control
    - Add python3-all to build-depends
    - Add installation into the correct binaries in debian/rules and run 2to3
      between python and python3 rules
  * Run tests (ipaddr_test.py) during build for each python/python3 version
  * Drop XB-Python-Version and switch XS-Python-Version to X-Python-Version
  * Add Breaks: ${python:Breaks} to python-ipaddr
 -- Scott Kitterman <email address hidden>   Tue,  15 Feb 2011 19:16:37 +0000

Available diffs

Superseded in natty-release on 2011-02-15
python-ipaddr (2.1.7-1) unstable; urgency=low

  * New upstream release
 -- Scott Kitterman <email address hidden>   Tue,  01 Feb 2011 11:14:10 +0000

Available diffs

Superseded in natty-release on 2011-02-01
python-ipaddr (2.1.5-2) unstable; urgency=low

  * Upload to unstable
 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  19 Oct 2010 07:30:04 +0000

Available diffs

Superseded in natty-release on 2010-10-20
python-ipaddr (2.1.5-1) experimental; urgency=low

  * New upstream release (upload to experimental due to freeze)
    - Containment test should always return false on mixed-type tests (2.1.5)
    - More invalid IPv6 addresses will be rejected (2.1.4)
  * Drop releasenotes.patch and related packaging changes since this release
    manages to include the release notes in the package
  * Bump standards version to 3.9.1 without further change
 -- Scott Kitterman <email address hidden>   Fri,  15 Oct 2010 16:26:53 +0000

Available diffs

Superseded in natty-release on 2010-10-15
Obsolete in maverick-release on 2013-03-05
python-ipaddr (2.1.4-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release
    - Update release notes patch since it was forgotten again by upstream
 -- Scott Kitterman <email address hidden>   Wed, 08 Sep 2010 21:48:14 -0400

Available diffs

Superseded in maverick-release on 2010-09-09
python-ipaddr (2.1.3-2) unstable; urgency=low

  * Add new RELEASENOTES file in releasenots.patch. (upstream re-released 2.1.3
    with this added in a revised tarball using the same version number)
    - Add debian/docs to install it
    - Add build-dep on quilt (>= 0.46-7)
    - Change debian/rules to build --with quilt
    - Add README.source
  * Convert from python-support to dh_python2
    - Drop build-depends on python-support
    - Bump python-all version requirement to 2.6.5-2 and move to build-depends
      from build-depends-indep
    - Bump debhelper version requirement
    - Change debian/rules to build --with python2
  * Add XB-Python-Version
 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  24 Jun 2010 17:28:16 +0100

Available diffs

Superseded in maverick-release on 2010-06-24
python-ipaddr (2.1.3-1) unstable; urgency=low

  * New upstream release
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  14 Jun 2010 09:49:43 +0100

Available diffs

Superseded in maverick-release on 2010-06-14
python-ipaddr (2.1.2-1) unstable; urgency=low

  * New upstream release
  * Update debian/watch for new googlecode download urls
  * Drop DM-Upload-Allowed from debian/control
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  07 Jun 2010 10:10:57 +0100

Available diffs

Superseded in maverick-release on 2010-06-07
Obsolete in lucid-release on 2016-10-26
python-ipaddr (2.1.1-1) unstable; urgency=low

  * New upstream bugfix release
    - Drop debian/patches/IPv4IpValidationError (incorporated upstream)
  * Drop patch system (not used)
    - Remove quilt build-dep
    - Adjust debian/rules
    - Remove debian/patches
    - Remove debian/README.source

Available diffs

Superseded in lucid-release on 2010-03-08
python-ipaddr (2.0.0-1) unstable; urgency=low

  * Initial release (Closes: #566724)
 -- Scott Kitterman <email address hidden>   Tue,  02 Feb 2010 21:13:36 +0000

Available diffs

Superseded in lucid-release on 2010-02-02
python-ipaddr (2.0.0-0ubuntu1) lucid; urgency=low

  * Initial release (Closes: #566724)
 -- Scott Kitterman <email address hidden>   Sun, 24 Jan 2010 15:44:45 -0500
119 of 19 results